Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class BlockColor

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.blocks.BlockColor

All Implemented Interfaces:
  Transformation, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

    public class BlockColor

extends Null

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `addB$FIELD`
`static Node.NType.Field` | `addG$FIELD`
`static Node.NType.Field` | `addR$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD, USED_BITS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`BlockColor()`
`BlockColor(double value)`
`BlockColor(double valueR, double valueG, double valueB)`
`BlockColor(java.lang.String value)`
`BlockColor(java.lang.String valueR, java.lang.String valueG, java.lang.String valueB)`

Method Summary
`float` | `getAbsoluteHeight()`
`CustomFunction` | `getAddB()`
`CustomFunction` | `getAddG()`
`CustomFunction` | `getAddR()`
`float` | `getDensity()`
`float` | `getLocalHeight()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`int` | `getParentId()`
`int` | `getThisId()`
`void` | `instantiate(Instantiation state)`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setAddB(CustomFunction value)`
`void` | `setAddB(double value)`
`void` | `setAddB(java.lang.String value)`
`void` | `setAddG(CustomFunction value)`
`void` | `setAddG(double value)`
`void` | `setAddG(java.lang.String value)`
`void` | `setAddR(CustomFunction value)`
`void` | `setAddR(double value)`
`void` | `setAddR(java.lang.String value)`
`void` | `setColor(double value)`
`void` | `setColor(double valueR, double valueG, double valueB)`
`void` | `setColor(java.lang.String value)`
`void` | `setColor(java.lang.String valueR, java.lang.String valueG, java.lang.String valueB)`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### addB$FIELD

    public static final Node.NType.Field addB$FIELD

### addG$FIELD

    public static final Node.NType.Field addG$FIELD

### addR$FIELD

    public static final Node.NType.Field addR$FIELD

Constructor Detail

### BlockColor

    public BlockColor()

### BlockColor

    public BlockColor(double value)

### BlockColor

    public BlockColor(double valueR,
                      double valueG,
                      double valueB)

### BlockColor

    public BlockColor(java.lang.String value)

### BlockColor

    public BlockColor(java.lang.String valueR,
                      java.lang.String valueG,
                      java.lang.String valueB)

Method Detail

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getAddB

    public CustomFunction getAddB()

### getAddG

    public CustomFunction getAddG()

### getAddR

    public CustomFunction getAddR()

### getDensity

    public float getDensity()

### getLocalHeight

    public float getLocalHeight()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Null`
  Returns:
    type describing the managed fields of the class of this node

### getParentId

    public int getParentId()

### getThisId

    public int getThisId()

### instantiate

    public void instantiate(Instantiation state)

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Null`
  Returns:
    new instance of class of this node

### setAddB

    public void setAddB(CustomFunction value)

### setAddB

    public void setAddB(double value)

### setAddB

    public void setAddB(java.lang.String value)

### setAddG

    public void setAddG(CustomFunction value)

### setAddG

    public void setAddG(double value)

### setAddG

    public void setAddG(java.lang.String value)

### setAddR

    public void setAddR(CustomFunction value)

### setAddR

    public void setAddR(double value)

### setAddR

    public void setAddR(java.lang.String value)

### setColor

    public void setColor(double value)

### setColor

    public void setColor(double valueR,
                         double valueG,
                         double valueB)

### setColor

    public void setColor(java.lang.String value)

### setColor

    public void setColor(java.lang.String valueR,
                         java.lang.String valueG,
                         java.lang.String valueB)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD